## LassoSamlAttributeStatement LassoSamlAttributeStatement — object mapping for a saml:AttributeStatement |

## Functions

LassoSamlAttributeStatement * | lasso_saml_attribute_statement_new ()

## Types and Values

struct | LassoSamlAttributeStatement

## Description

The schema fragment (oasis-sstc-saml-schema-assertion-1.1.xsd):

Figure 26. Schema fragment for saml:AttributeStatement

    <element name="AttributeStatement" type="saml:AttributeStatementType"/>
    <complexType name="AttributeStatementType">
      <complexContent>
        <extension base="saml:SubjectStatementAbstractType">
          <sequence>
            <element ref="saml:Attribute" maxOccurs="unbounded"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml_attribute_statement_new ()

    LassoSamlAttributeStatement *
    lasso_saml_attribute_statement_new (void);

Creates a new LassoSamlAttributeStatement object.

#### Returns

a newly created LassoSamlAttributeStatement object

## Types and Values

### struct LassoSamlAttributeStatement

    struct LassoSamlAttributeStatement {
    	LassoSamlSubjectStatementAbstract parent;

    	GList *Attribute; /* of LassoNode */
    };